Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.codec.binary
Class Base64OutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.apache.commons.codec.binary.BaseNCodecOutputStream
                  org.apache.commons.codec.binary.Base64OutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class Base64OutputStream

extends BaseNCodecOutputStream

Provides Base64 encoding and decoding in a streaming fashion (unlimited size). When encoding the default lineLength is 76 characters and the default lineEnding is CRLF, but these can be overridden by using the appropriate constructor.

The default behaviour of the Base64OutputStream is to ENCODE, whereas the default behaviour of the Base64InputStream is to DECODE. But this behaviour can be overridden by using a different constructor.

This class implements section 6.8. Base64 Content-Transfer-Encoding from RFC 2045 Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies by Freed and Borenstein.

Since this class operates directly on byte streams, and not character streams, it is hard-coded to only encode/decode character encodings which are compatible with the lower 127 ASCII chart (ISO-8859-1, Windows-1252, UTF-8, etc).

Since:
  1.4
Version:
  $Id: Base64OutputStream.java 1352269 2012-06-20 19:07:45Z ggregory $
See Also:
  RFC 2045

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`Base64OutputStream(OutputStream out)` Creates a Base64OutputStream such that all data written is Base64-encoded to the original provided OutputStream.
`Base64OutputStream(OutputStream out, boolean doEncode)` Creates a Base64OutputStream such that all data written is either Base64-encoded or Base64-decoded to the original provided OutputStream.
`Base64OutputStream(OutputStream out, boolean doEncode, int lineLength, byte[] lineSeparator)` Creates a Base64OutputStream such that all data written is either Base64-encoded or Base64-decoded to the original provided OutputStream.

Method Summary

Methods inherited from class org.apache.commons.codec.binary.BaseNCodecOutputStream
`close, flush, write, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64OutputStream

    public Base64OutputStream(OutputStream out)

  Creates a Base64OutputStream such that all data written is Base64-encoded to the original provided OutputStream.

  Parameters:
    `out` - OutputStream to wrap.

### Base64OutputStream

    public Base64OutputStream(OutputStream out,
                              boolean doEncode)

  Creates a Base64OutputStream such that all data written is either Base64-encoded or Base64-decoded to the original provided OutputStream.

  Parameters:
    `out` - OutputStream to wrap.
    `doEncode` - true if we should encode all data written to us, false if we should decode.

### Base64OutputStream

    public Base64OutputStream(OutputStream out,
                              boolean doEncode,
                              int lineLength,
                              byte[] lineSeparator)

  Creates a Base64OutputStream such that all data written is either Base64-encoded or Base64-decoded to the original provided OutputStream.

  Parameters:
    `out` - OutputStream to wrap.
    `doEncode` - true if we should encode all data written to us, false if we should decode.
    `lineLength` - If doEncode is true, each line of encoded data will contain lineLength characters (rounded down to nearest multiple of 4). If lineLength <=0, the encoded data is not divided into lines. If doEncode is false, lineLength is ignored.
    `lineSeparator` - If doEncode is true, each line of encoded data will be terminated with this byte sequence (e.g. \r\n). If lineLength <= 0, the lineSeparator is not used. If doEncode is false lineSeparator is ignored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.